## org.omg.CosNaming
Class NamingContextPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CosNaming.NamingContextPOA

All Implemented Interfaces:
  InvokeHandler, NamingContextOperations

Direct Known Subclasses:
  NamingContextPOATie

public abstract class NamingContextPOA
extends Servant
implements NamingContextOperations, InvokeHandler

This interface provides all functions to bind, rebind and resolve an object into the naming graph.

Constructor Summary
`NamingContextPOA()`

Method Summary
`java.lang.String[]` `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`NamingContext` `_this()`
`NamingContext` `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CosNaming.NamingContextOperations
`bind_context, bind_new_context, bind, destroy, list, new_context, rebind_context, rebind, resolve, unbind`

Constructor Detail

### NamingContextPOA

    public NamingContextPOA()

Method Detail

### _this

    public NamingContext _this()

### _this

    public NamingContext _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`